## Class TStyleDiff

Description

TStyleDiff class.

Calculates the changes to the Style properties.

- since: 3.1
- version: $Id: TActiveControlAdapter.php 2419 2008-04-08 15:52:53Z tof $
- author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Located in /Web/UI/ActiveControls/TActiveControlAdapter.php (line 450)

    TViewStateDiff
       |
       --TStyleDiff

Method Summary
array getCombinedStyle (TStyle $obj)
string getCssClassDiff ()
array getDifference ()
array getStyleDiff ()
void getStyleFromString (string $string, array 1)
Variables

#### Inherited Variables

Inherited from TViewStateDiff

> TViewStateDiff::$_new
> TViewStateDiff::$_null
> TViewStateDiff::$_old

Methods
getCombinedStyle (line 456)

- return: all the style properties combined.
- access: protected

array getCombinedStyle (TStyle $obj)

- TStyle $obj: control style

getCssClassDiff (line 488)

- return: changes to the CSS class name.
- access: protected

string getCssClassDiff ()
getDifference (line 516)

- return: list of changes to the control style and CSS class name.
- access: public

array getDifference ()

Redefinition of:

TViewStateDiff::getDifference()

getStyleDiff (line 505)

- return: list of changes to the control style.
- access: protected

array getStyleDiff ()
getStyleFromString (line 471)

- access: protected

void getStyleFromString (string $string, array 1)

- array 1: CSS style as name-value array.
- string $string: CSS custom style string.

#### Inherited Methods

Inherited From TViewStateDiff

> TViewStateDiff::__construct()
> TViewStateDiff::getDifference()

Documentation generated on Mon, 21 Apr 2008 11:29:27 -0400 by phpDocumentor 1.3.0RC4